Deployments.ai Docs
Agent Email

Create an email placement

POST /v1/agent-email/placements · SDK createAgentEmailPlacement · CLI deployments email-placement create

POST
/v1/agent-email/placements

Requires agent-email:admin.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
idempotency-key*string
Length1 <= length <= 512

Request Body

application/json
  1. body
dedicatedPool?boolean
isDefault?boolean
name*string
Match^\S[\s\S]*\S$|^\S$|^$
Length1 <= length <= 120
region*string
Match^(?:[a-z0-9]+-)+[a-z0-9]+-\d+$
secondaryRegion?string
Match^(?:[a-z0-9]+-)+[a-z0-9]+-\d+$

Response Body

AgentEmailPlacementResponse

application/json
  1. response
createdAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
dedicatedPool*boolean
estimatedMonthlyCostCents?integer
Range0 <= value <= 9007199254740991
id*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
isDefault*boolean
lastReconciledAt?string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
name*string
organizationId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
provider*string
providerMetadata*
reconciliationError?string
region*string
secondaryRegion?string
status*string
Value in"active""deprovisioning""disabled""failed""provisioning""reconciling"
updatedAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
curl -X POST "https://example.com/v1/agent-email/placements" \  -H "x-deployments-environment: string" \  -H "idempotency-key: string" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "region": "string"  }'
{  "createdAt": "2019-08-24T14:15:22Z",  "dedicatedPool": true,  "estimatedMonthlyCostCents": 0,  "id": "string",  "isDefault": true,  "lastReconciledAt": "2019-08-24T14:15:22Z",  "name": "string",  "organizationId": "string",  "provider": "string",  "providerMetadata": {    "property1": null,    "property2": null  },  "reconciliationError": "string",  "region": "string",  "secondaryRegion": "string",  "status": "active",  "updatedAt": "2019-08-24T14:15:22Z"}